View Issue Details

IDProjectCategoryView StatusLast Update
0005430Talerwallet (WebExtensions)public2019-09-16 09:09
ReporterFlorian DoldAssigned ToFlorian Dold 
PriorityurgentSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.6Fixed in Version0.6 
Summary0005430: wallet popup sometimes empty with current firefox
DescriptionThe reason for this is likely that DOMContentLoaded gets fired too early. Although the script is included in the header, webpack bundling might cause the code to be executed slightly too late.

To fix this, we simple need to check the document readyState
TagsNo tags attached.

Activities

Florian Dold

2019-09-05 16:31

manager   ~0014863

The wallet now properly displays exception if they occur during rendering, and also waits for DOMContentLoaded.

Issue History

Date Modified Username Field Change
2018-08-26 00:12 Florian Dold New Issue
2018-08-26 00:12 Florian Dold Status new => assigned
2018-08-26 00:12 Florian Dold Assigned To => Florian Dold
2018-11-18 00:39 Christian Grothoff Target Version => 0.6
2019-09-05 16:31 Florian Dold Status assigned => resolved
2019-09-05 16:31 Florian Dold Resolution open => fixed
2019-09-05 16:31 Florian Dold Note Added: 0014863
2019-09-16 09:09 Christian Grothoff Product Version => SVN HEAD
2019-09-16 09:09 Christian Grothoff Fixed in Version => 0.6